lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [day] [month] [year] [list]
Date: Wed, 11 Sep 2013 20:42:20 +0000 (UTC)
From: security-news@...pal.org
To: security-news@...pal.org
Subject: [Security-news] SA-CONTRIB-2013-075 - Click2Sell
	- Multiple	Vulnerabilities (XSS and CSRF)

View online: https://drupal.org/node/2087055

  * Advisory ID: DRUPAL-SA-CONTRIB-2013-075
  * Project: Click2Sell Suite [1] (third-party module)
  * Version: 6.x
  * Date: 2013-September-11
  * Security risk: Highly critical [2]
  * Exploitable from: Remote
  * Vulnerability: Cross Site Scripting, Cross Site Request Forgery

-------- DESCRIPTION  
---------------------------------------------------------

Click2Sell is an Affiliate Marketing Network which lets you sell your
products through their marketplace or on your website with buy it now
buttons, and which also allows you to access hundreds of affiliates who want
to sell your product for you and earn commission.

.... Reflected Cross Site Scripting (XSS)

The module doesn't sufficiently filter user supplied data when presenting a
confirmation form.

.... Cross Site Request Forgery (CSRF)

The module doesn't properly use Drupal's Form API which allows a malicious
user to trick an admin into accidentally deleting information from
Click2Sell's database.


-------- CVE IDENTIFIER(S) ISSUED  
--------------------------------------------

  * /A CVE identifier [3] will be requested, and added upon issuance, in
    accordance with Drupal Security Team processes./

-------- VERSIONS AFFECTED  
---------------------------------------------------

  * All Click2Sell Suite 6.x-1.x versions.

Drupal core is not affected. If you do not use the contributed Click2Sell
Suite [4] module, there is nothing you need to do.

-------- SOLUTION  
------------------------------------------------------------

  * If you use the Click2Sell Suite module for Drupal 6.x you should disable
    it.

Also see the Click2Sell Suite [5] project page.

-------- REPORTED BY  
---------------------------------------------------------

  * Greg Knaddison [6] of the Drupal Security Team

-------- FIXED BY  
------------------------------------------------------------

Not applicable.

-------- CONTACT AND MORE INFORMATION  
----------------------------------------

The Drupal security team can be reached at security at drupal.org or via the
contact form at http://drupal.org/contact [7].

Learn more about the Drupal Security team and their policies [8], writing
secure code for Drupal [9], and securing your site [10].


[1] http://drupal.org/project/click2sell
[2] http://drupal.org/security-team/risk-levels
[3] http://cve.mitre.org/
[4] http://drupal.org/project/click2sell
[5] http://drupal.org/project/click2sell
[6] http://drupal.org/user/36762
[7] http://drupal.org/contact
[8] http://drupal.org/security-team
[9] http://drupal.org/writing-secure-code
[10] http://drupal.org/security/secure-configuration

_______________________________________________
Security-news mailing list
Security-news@...pal.org
Unsubscribe at http://lists.drupal.org/mailman/listinfo/security-news

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/

Powered by blists - more mailing lists